#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A plugin based system monitoring daemon
Name:           ksystemstats
Version: 5.27.5
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## Upstream master branch patches

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Service) >= 5.84.0
BuildRequires:  cmake(KF5JobWidgets) >= 5.84.0
BuildRequires:  cmake(KF5Auth) >= 5.84.0
BuildRequires:  cmake(KF5Codecs) >= 5.84.0
BuildRequires:  cmake(KF5DBusAddons) >= 5.84.0
BuildRequires:  cmake(KF5Solid) >= 5.84.0
BuildRequires:  cmake(KF5CoreAddons) >= 5.84.0
BuildRequires:  cmake(KF5KIO) >= 5.84.0
BuildRequires:  cmake(KF5NetworkManagerQt) >= 5.82.0

BuildRequires:  cmake(KF5SysGuard)

BuildRequires:  cmake(Qt5Gui) >= 5.15.0
BuildRequires:  cmake(Qt5Test) >= 5.15.0

BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(libnl-route-3.0)
BuildRequires:  pkgconfig(libnl-3.0)

BuildRequires:	lm_sensors-devel

%description
A plugin based system monitoring daemon

%files -f %{name}.lang
%_kf5_bindir/kstatsviewer
%_kf5_bindir/ksystemstats
%_systemd_util_dir/user/plasma-ksystemstats.service
%_qt5_plugindir/ksystemstats/*.so
%_datadir/dbus-1/services/org.kde.ksystemstats.service

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958043
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951956
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949081
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945788
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944800
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942067
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935075
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930064
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923116
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907535
- New version 5.26.3

* Sat Oct 29 2022 neoclust <neoclust> 5.26.2-1.mga9
+ Revision: 1900078
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889249
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875466
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872279
- New version 5.25.3
- New version 5.25.3
- New version 5.24.5

* Thu Mar 31 2022 neoclust <neoclust> 5.24.4-1.mga9
+ Revision: 1837495
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766195
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756870
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750112
- New version 5.23.0

* Thu Oct 07 2021 neoclust <neoclust> 5.22.90-1.mga9
+ Revision: 1749908
- New version 5.22.90

* Sat Jul 17 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736358
- imported package ksystemstats

